Bug 1135844 - [virtio-win]communication ports were marked with a yellow exclamation after hotplug pci-serial,pci-serial-2x,pci-serial-4x
Summary: [virtio-win]communication ports were marked with a yellow exclamation after ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Gal Hammer
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-01 02:46 UTC by lijin
Modified: 2015-03-05 09:54 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:54:07 UTC


Attachments (Terms of Use)
communication ports after hotplug (86.45 KB, application/octet-stream)
2014-09-01 02:46 UTC, lijin
no flags Details
communication ports after reboot guest (61.84 KB, application/octet-stream)
2014-09-01 02:47 UTC, lijin
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description lijin 2014-09-01 02:46:16 UTC
Created attachment 933228 [details]
communication ports after hotplug

Description of problem:
communication ports were marked with a  yellow exclamation after hotplug pci-serial,pci-serial-2x,pci-serial-4x

Version-Release number of selected component (if applicable):
virtio-win-prewhql-90
qemu upstream v2.1.0-rc5 & qemu-kvm-1.5.3-69.el7.x86_64
kernel-3.10.0-123.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot win2012 guest with:
qemu-system-x86_64 -cpu Nehalem -enable-kvm -m 2048 -smp 4,sockets=2,cores=2,threads=1 -name test -rtc base=utc ile=win2012.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=native -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=on -device e1000,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0b:38,bus=pci.0 -vnc :10 -k en-us -vga std -monitor stdio -chardev socket,path=/tmp/serial3,server,nowait,id=serial3 -chardev socket,path=/tmp/serial4,server,nowait,id=serial4 -chardev socket,path=/tmp/serial5,server,nowait,id=serial5 --nodefaults -chardev socket,path=/tmp/serial6,server,nowait,id=serial6 -chardev socket,path=/tmp/serial7,server,nowait,id=serial7 -chardev socket,path=/tmp/serial8,server,nowait,id=serial8 -chardev socket,path=/tmp/serial9,server,nowait,id=serial9 -qmp tcp:0:5888,server,nowait
2.install qemupciserial.inf
3.hotplug pci-serial,pci-serial-2x,pci-serial-4x
(qemu) device_add pci-serial,chardev=serial3,id=aa3
(qemu) device_add pci-serial-2x,chardev1=serial4,chardev2=serial5,id=aa4
(qemu) device_add pci-serial-4x,chardev1=serial6,chardev2=serial7,chardev3=serial8,chardev4=serial9,id=aa5

Actual results:
pci-serial/pci-serial-2x/pci-serial-4x can be installed/hotplug successfully;
but after step3,the communication ports in guest device manager were marked with a  yellow exclamation(as shown in the first attachment);
the ports became normal after reboot guest(as shown in the second attachment)

Expected results:
communication ports can works well without reboot guest.

Additional info:

Comment 1 lijin 2014-09-01 02:47:20 UTC
Created attachment 933229 [details]
communication ports after reboot guest

Comment 3 Gal Hammer 2014-10-02 09:31:15 UTC
Upstream commit 4df7961faaa317d57e873ecdec58422d3f979336 solve this issue.

Comment 6 Miroslav Rezanina 2014-11-04 09:35:31 UTC
Fix included in qemu-kvm-rhev-2.1.2-6.el7

Comment 8 langfang 2014-11-07 05:17:52 UTC
Test on latest version:

Verify this bug on fix version:
# uname -r
3.10.0-191.el7.x86_64
qemu-kvm-rhev-2.1.2-6.el7.x86_64


Steps:
1.boot win2012 guest with:
qemu-system-x86_64 -cpu Nehalem -enable-kvm -m 2048 -smp 4,sockets=2,cores=2,threads=1 -name test -rtc base=utc ile=win2012.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=native -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=on -device e1000,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0b:38,bus=pci.0 -vnc :10 -k en-us -vga std -monitor stdio -chardev socket,path=/tmp/serial3,server,nowait,id=serial3 -chardev socket,path=/tmp/serial4,server,nowait,id=serial4 -chardev socket,path=/tmp/serial5,server,nowait,id=serial5 --nodefaults -chardev socket,path=/tmp/serial6,server,nowait,id=serial6 -chardev socket,path=/tmp/serial7,server,nowait,id=serial7 -chardev socket,path=/tmp/serial8,server,nowait,id=serial8 -chardev socket,path=/tmp/serial9,server,nowait,id=serial9 -qmp tcp:0:5888,server,nowait
2.install qemupciserial.inf
3.hotplug pci-serial,pci-serial-2x,pci-serial-4x
(qemu) device_add pci-serial,chardev=serial3,id=aa3
(qemu) device_add pci-serial-2x,chardev1=serial4,chardev2=serial5,id=aa4
(qemu) device_add pci-serial-4x,chardev1=serial6,chardev2=serial7,chardev3=serial8,chardev4=serial9,id=aa5


Results:
(qemu) qemu-kvm: -device pci-serial-4x,chardev1=s1,chardev2=s2,chardev3=s3,chardev4=s4: Parameter 'driver' expects pluggable device type


And this bug: Bug 1001180 - Disable or remove devices pci-serial-2x, pci-serial-4x for qemu-kvm component bug.

Hi,Gal

   Is this the expect result ?  And  not support on 'qemu-kvm-rhev' component?

thanks
fang lang

Comment 9 Gal Hammer 2014-11-11 14:08:14 UTC
(In reply to langfang from comment #8)
> Test on latest version:
> 
> Verify this bug on fix version:
> # uname -r
> 3.10.0-191.el7.x86_64
> qemu-kvm-rhev-2.1.2-6.el7.x86_64
> 
> 
> Steps:
> 1.boot win2012 guest with:
> qemu-system-x86_64 -cpu Nehalem -enable-kvm -m 2048 -smp
> 4,sockets=2,cores=2,threads=1 -name test -rtc base=utc
> ile=win2012.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,
> werror=stop,rerror=stop,aio=native -device
> ide-drive,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev
> tap,id=hostnet0,vhost=on -device
> e1000,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0b:38,bus=pci.0 -vnc :10 -k
> en-us -vga std -monitor stdio -chardev
> socket,path=/tmp/serial3,server,nowait,id=serial3 -chardev
> socket,path=/tmp/serial4,server,nowait,id=serial4 -chardev
> socket,path=/tmp/serial5,server,nowait,id=serial5 --nodefaults -chardev
> socket,path=/tmp/serial6,server,nowait,id=serial6 -chardev
> socket,path=/tmp/serial7,server,nowait,id=serial7 -chardev
> socket,path=/tmp/serial8,server,nowait,id=serial8 -chardev
> socket,path=/tmp/serial9,server,nowait,id=serial9 -qmp
> tcp:0:5888,server,nowait
> 2.install qemupciserial.inf
> 3.hotplug pci-serial,pci-serial-2x,pci-serial-4x
> (qemu) device_add pci-serial,chardev=serial3,id=aa3
> (qemu) device_add pci-serial-2x,chardev1=serial4,chardev2=serial5,id=aa4
> (qemu) device_add
> pci-serial-4x,chardev1=serial6,chardev2=serial7,chardev3=serial8,
> chardev4=serial9,id=aa5
> 
> 
> Results:
> (qemu) qemu-kvm: -device
> pci-serial-4x,chardev1=s1,chardev2=s2,chardev3=s3,chardev4=s4: Parameter
> 'driver' expects pluggable device type
> 
> 
> And this bug: Bug 1001180 - Disable or remove devices pci-serial-2x,
> pci-serial-4x for qemu-kvm component bug.
> 
> Hi,Gal
> 
>    Is this the expect result ?  And  not support on 'qemu-kvm-rhev'
> component?

Yes, this is the expected result. The pci-serial-2x and pci-serial-4x devices are not supported in RHEL. The fix should be relevant only for the pci-serial device.
 
> thanks
> fang lang

Comment 10 langfang 2014-11-12 08:06:34 UTC
Verify  this bug as follow version:

Host:
# uname -r
3.10.0-191.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-6.el7.x86_64


Guest:win2012

virtio-win-prewhql-0.1-93

Steps:
1.Boot win2012 guest
qemu-system-x86_64 -cpu Nehalem -enable-kvm -m 2048 -smp 4,sockets=2,cores=2,threads=1 -name test -rtc base=utc ile=win2012.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=native -device ide-drive,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,id=hostnet0,vhost=on -device e1000,netdev=hostnet0,id=net0,mac=00:1a:4a:42:0b:38,bus=pci.0 -vnc :10 -k en-us -vga std -monitor stdio -chardev socket,path=/tmp/serial3,server,nowait,id=serial3 -qmp tcp:0:5888,server,nowait

2.hotplug pci-serial,pci-serial-2x,pci-serial-4x
(qemu) device_add pci-serial,chardev=serial3,id=aa3

3.Install qemupciserial.inf


Results:
Not hit yellow exclamation after hotplug pci-serial,according to comment9 and coment10,this bug has been fixed.


Results:

Comment 13 errata-xmlrpc 2015-03-05 09:54:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.